

기계 번역으로 제공되는 번역입니다. 제공된 번역과 원본 영어의 내용이 상충하는 경우에는 영어 버전이 우선합니다.

# ListClusterSnapshots
<a name="API_elastic_ListClusterSnapshots"></a>

지정된 탄력적 클러스터의 스냅샷에 대한 정보를 반환합니다.

## Request Syntax
<a name="API_elastic_ListClusterSnapshots_RequestSyntax"></a>

```
GET /cluster-snapshots?clusterArn=clusterArn&maxResults=maxResults&nextToken=nextToken&snapshotType=snapshotType HTTP/1.1
```

## URI 요청 파라미터
<a name="API_elastic_ListClusterSnapshots_RequestParameters"></a>

요청은 다음 URI 파라미터를 사용합니다.

 ** [clusterArn](#API_elastic_ListClusterSnapshots_RequestSyntax) **   <a name="documentdb-elastic_ListClusterSnapshots-request-uri-clusterArn"></a>
탄력적 클러스터의 ARN 식별자.

 ** [maxResults](#API_elastic_ListClusterSnapshots_RequestSyntax) **   <a name="documentdb-elastic_ListClusterSnapshots-request-uri-maxResults"></a>
응답에 수신될 최대 탄력적 클러스터 스냅샷 결과의 수.  
유효한 범위: 최소값은 20입니다. 최댓값은 100입니다.

 ** [nextToken](#API_elastic_ListClusterSnapshots_RequestSyntax) **   <a name="documentdb-elastic_ListClusterSnapshots-request-uri-nextToken"></a>
이전의 요청에서 제공된 페이지 매김 토큰. 이 파라미터가 지정된 경우 응답에는 이 토큰을 넘어 `max-results`에 의해 지정된 값까지의 레코드만 포함됩니다.  
응답에 더 이상 데이터가 없는 경우 `nextToken`은 반환되지 않습니다.

 ** [snapshotType](#API_elastic_ListClusterSnapshots_RequestSyntax) **   <a name="documentdb-elastic_ListClusterSnapshots-request-uri-snapshotType"></a>
반환되는 클러스터 스냅샷의 유형. 다음 값 중 하나를 지정할 수 있습니다.  
+  `automated` - Amazon DocumentDB가 AWS 계정에 대해 자동으로 생성한 모든 클러스터 스냅샷을 반환합니다.
+  `manual` - AWS 계정에 대해 수동으로 생성한 모든 클러스터 스냅샷을 반환합니다.

## Request Body
<a name="API_elastic_ListClusterSnapshots_RequestBody"></a>

해당 요청에는 본문이 없습니다.

## Response Syntax
<a name="API_elastic_ListClusterSnapshots_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "nextToken": "string",
   "snapshots": [ 
      { 
         "clusterArn": "string",
         "snapshotArn": "string",
         "snapshotCreationTime": "string",
         "snapshotName": "string",
         "status": "string"
      }
   ]
}
```

## 응답 요소
<a name="API_elastic_ListClusterSnapshots_ResponseElements"></a>

작업이 성공하면 서비스가 HTTP 200 응답을 반송합니다.

다음 데이터는 서비스에 의해 JSON 형식으로 반환됩니다.

 ** [nextToken](#API_elastic_ListClusterSnapshots_ResponseSyntax) **   <a name="documentdb-elastic_ListClusterSnapshots-response-nextToken"></a>
이전의 요청에서 제공된 페이지 매김 토큰. 이 파라미터가 지정된 경우 응답에는 이 토큰을 넘어 `max-results`에 의해 지정된 값까지의 레코드만 포함됩니다.  
응답에 더 이상 데이터가 없는 경우 `nextToken`은 반환되지 않습니다.  
유형: 문자열

 ** [snapshots](#API_elastic_ListClusterSnapshots_ResponseSyntax) **   <a name="documentdb-elastic_ListClusterSnapshots-response-snapshots"></a>
지정된 탄력적 클러스터의 스냅샷 목록.  
타입: [ClusterSnapshotInList](API_elastic_ClusterSnapshotInList.md) 객체 배열

## 오류
<a name="API_elastic_ListClusterSnapshots_Errors"></a>

모든 작업에 공통되는 오류에 대한 내용은 [일반적인 오류](CommonErrors.md) 섹션을 참조하십시오.

 ** AccessDeniedException **   
작업을 수행할 권한이 충분하지 않을 때 발생하는 예외.    
 ** message **   
액세스가 거부된 이유를 설명하는 오류 메시지입니다.
HTTP 상태 코드: 403

 ** InternalServerException **   
내부 서버 오류가 발생했습니다.  
HTTP 상태 코드: 500

 ** ThrottlingException **   
요청 제한으로 인해 요청이 거부되면 ThrottlingException이 발생합니다.    
 ** retryAfterSeconds **   
작업을 재시도하기 전에 대기하는 시간(초)입니다.
HTTP 상태 코드: 429

 ** ValidationException **   
유효성 검사 예외를 정의하는 구조.    
 ** fieldList **   
유효성 검사 예외가 발생한 필드의 목록입니다.  
 ** message **   
유효성 검사 예외를 설명하는 오류 메시지입니다.  
 ** reason **   
검증 예외가 발생한 이유입니다(`unknownOperation`, `cannotParse`, `fieldValidationFailed` 또는 `other` 중 하나).
HTTP 상태 코드: 400

## 참고
<a name="API_elastic_ListClusterSnapshots_SeeAlso"></a>

언어별 AWS SDKs
+  [AWS 명령줄 인터페이스 V2](https://docs.aws.amazon.com/goto/cli2/docdb-elastic-2022-11-28/ListClusterSnapshots) 
+  [AWS .NET V4용 SDK](https://docs.aws.amazon.com/goto/DotNetSDKV4/docdb-elastic-2022-11-28/ListClusterSnapshots) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/docdb-elastic-2022-11-28/ListClusterSnapshots) 
+  [AWS Go v2용 SDK](https://docs.aws.amazon.com/goto/SdkForGoV2/docdb-elastic-2022-11-28/ListClusterSnapshots) 
+  [AWS Java V2용 SDK](https://docs.aws.amazon.com/goto/SdkForJavaV2/docdb-elastic-2022-11-28/ListClusterSnapshots) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/docdb-elastic-2022-11-28/ListClusterSnapshots) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/docdb-elastic-2022-11-28/ListClusterSnapshots) 
+  [AWS PHP V3용 SDK](https://docs.aws.amazon.com/goto/SdkForPHPV3/docdb-elastic-2022-11-28/ListClusterSnapshots) 
+  [AWS Python용 SDK](https://docs.aws.amazon.com/goto/boto3/docdb-elastic-2022-11-28/ListClusterSnapshots) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/docdb-elastic-2022-11-28/ListClusterSnapshots) 